package com.crm.manager.service;

import com.crm.rely.backend.core.dto.base.BaseResultWithPagerDto;
import com.crm.rely.backend.core.dto.sales.SalesCommissionManualDto;
import com.crm.rely.backend.core.dto.sales.SalesCommissionManualSalaryTypeDto;
import com.crm.rely.backend.core.entity.sales.SalesCommissionManualAddEntity;
import com.crm.rely.backend.core.entity.sales.SalesCommissionManualListEntity;
import com.crm.rely.backend.core.entity.sales.SalesCommissionManualUpdateEntity;
import com.crm.rely.backend.exception.ServiceException;

import java.util.List;

public interface SalesCommissionManualService {

    List<SalesCommissionManualSalaryTypeDto> getSalesCommissionManualSalaryTypes() throws ServiceException;

    void saveForm(SalesCommissionManualAddEntity entity) throws ServiceException;

    void updateForm(SalesCommissionManualUpdateEntity entity) throws ServiceException;

    void deleteById(Long id) throws ServiceException;

    SalesCommissionManualDto searchSingle(Long id) throws ServiceException;

    BaseResultWithPagerDto<List<SalesCommissionManualDto>> searchList(SalesCommissionManualListEntity entity) throws ServiceException;

}
